Subject: Re: getenv("REQUEST_METHOD") returns NULL in a cgi environment
From: [email-masked] (Dylan Griffiths)

16 Jun 1998 10:10:26 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "yang su" <[email-masked]>,
        "Gnu Win32 Mailing list" <[email-masked]>

-----Original Message-----
From: yang su <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Monday 15, June, 1998 21:39
Subject: getenv("REQUEST_METHOD") returns NULL in a cgi environment

>
>I am using ecgs for mingw32, so I compile my test.c like this:
>gcc test.c -o test.cgi
>then I invoke this cgi through http://some-path-to-test.cgi,
>however, I get the NULL value of getenv("REQUEST_METHOD") which
>I expect to be either POST or GET, can it be NULL in this context?
>what might be a solution for this?

Get a webserver that understands CGI and be sure to put this executeable
file into the the CGI-BIN directory, and be sure that when the form that
calls the CGI file is submitted, it has either POST or GET set.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".